- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.contentPacks/installIntegration#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.contentPacks/installIntegration#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.contentPacks/installIntegration#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.contentPacks/installIntegration#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.contentPacks/installIntegration#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.contentPacks/installIntegration#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.contentPacks/installIntegration#body.aspect_1)

**Full name**: projects.locations.instances.contentHub.contentPacks.installIntegration

Installs a specific integration from a content pack. Use this method to add new security product capabilities to your instance.

### HTTP request

`POST https://{endpoint}/v1alpha/{name}:installIntegration`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the ContentPack to install integration. Format: projects/{project}/locations/{location}/instances/{instance}/contentHub/contentPacks/{contentPack} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "id": string, "overrideMapping": boolean } ``` |

| Fields ||
|---|---|
| `id` | `string` Required. Integration Identifier Max length will be 36 |
| `overrideMapping` | `boolean` Optional. Represents if mapping should be overridden |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ContentPackItemInstallationResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.contentPacks.install`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).